use super::*;
use crate::IndexedDbReferenceStore;
use wasm_bindgen_test::*;

wasm_bindgen_test_configure!(run_in_browser);

async fn create_indexeddb_store() -> IndexedDbReferenceStore {
    IndexedDbReferenceStore::new().await.unwrap()
}

#[wasm_bindgen_test]
async fn test_store_and_retrieve_reference() {
    let store = create_indexeddb_store().await;
    test_store_and_retrieve_reference_impl(&store).await;
}

#[wasm_bindgen_test]
async fn test_store_and_retrieve_content() {
    let store = create_indexeddb_store().await;
    test_store_and_retrieve_content_impl(&store).await;
}

#[wasm_bindgen_test]
async fn test_reference_with_dependents() {
    let store = create_indexeddb_store().await;
    test_reference_with_dependents_impl(&store).await;
}

#[wasm_bindgen_test]
async fn test_get_graph() {
    let store = create_indexeddb_store().await;
    test_get_graph_impl(&store).await;
}

#[wasm_bindgen_test]
async fn test_nonexistent_reference() {
    let store = create_indexeddb_store().await;
    test_nonexistent_reference_impl(&store).await;
}

#[wasm_bindgen_test]
async fn test_nonexistent_content() {
    let store = create_indexeddb_store().await;
    test_nonexistent_content_impl(&store).await;
}

#[wasm_bindgen_test]
async fn test_reference_without_content_address() {
    let store = create_indexeddb_store().await;
    test_reference_without_content_address_impl(&store).await;
}
